Subject: Re: CPM2 early console

From: Kalle Pokki <[email-masked]>
Date: Sat, 01 Oct 2005 07:57:04 +0200

Dan Malek wrote:

> I just built an 8250. 8260, and 8270 from a very recent 2.6 tree today 
> and they
> all worked fine.  They all had different serial port configurations 
> (SMC1, SCC1
> and SCC2).  Two were u-boot and one was a proprietary boot rom.
> So, the "problem" seems to be related to something unique with your 
> system.

Yes I'm sure the code in Linux is right. It may be missing some 
initialisation it depends on, but anyway.

My board is an Embedded Planet EP8248 that came with a pre-installed 
version of Linux 2.4. That version works ok, though I don't know what 
modifications were made to the kernel. The source wasn't included...

Currently I boot with PlanetCore, load my own boot loader (I'm going to 
use it exclusively when my own custom board based on 8247 comes out) via 
tftp, and start the most recent kernel.org kenel from it.